
// Define the global Plug variable
var PlugDevice = new Array('0', '0', '0', '0', '0', '0', '0');

function ControlDevice (myDevice, myCommand) {
        // Pass the requests throuth the proxy script
        var CGIURL = "/cgi-bin/control.cgi?device=" + myDevice + "&cmd=" + myCommand;

        // Make an Ajax update -no periodic- to fetch the daily summary and the trend values
        new Ajax.Updater('status', CGIURL, {method: 'get'});

}


function UpdatePage () {
  // Update page wide plug icons

  // Loop through all six plugIDs and update their status
  var loop;
  for (loop=1; loop<7; loop++) {
    // Call the update function
    UpdateStatus( loop );
  }
  
  // Set a timer
  //setTimeout ("UpdatePage()", 10000)
  
}


function UpdateStatus(plug_id) {
  // Update info (icon, variable) for a specific plugID

  var response;

  // Get the plug status from the embedded
  new Ajax.Request('/data/plug' + plug_id + '.txt?',
    {
      method:'get',
      onSuccess: function(transport){
        response = transport.responseText;
        // Update the global variable
        PlugDevice[plug_id] = response;
        // Update the global variable and the icons
        if ( response == 1 ) {
          // The plug is activated
          document.getElementById("PlugIcon" + plug_id).checked = 1;
        } else {
          // The plug is not activate 
          document.getElementById("PlugIcon" + plug_id).checked = 0;
        }
      }
    });
         
}


function ControlPlug (plug_id) {
  // Control the specific plug
  // Check the current status of the plug
  if ( PlugDevice[plug_id] == 1 ) {
    // Plug was active, de-activate it
    ControlDevice (plug_id, '0');
    // Update the status
    PlugDevice[plug_id] = '0';
    document.getElementById("PlugIcon" + plug_id).checked = 0;
  } else {
    // Plug was inactive. Activate it
    ControlDevice (plug_id, '1');
    PlugDevice[plug_id] = '1';
    document.getElementById("PlugIcon" + plug_id).checked = 1;
  }   
  
}

